<?php

namespace XLite\Module\Custom\MyTheme;

/**
 * Decorated Main class of Crisp White theme module.
 * 
 * @Decorator\Depend ("XC\CrispWhiteSkin")
 */
abstract class MainCrispWhite
    extends \XLite\Module\XC\CrispWhiteSkin\Main
    implements \XLite\Base\IDecorator
{
    /**
     * Registers skin directories.
     *
     * @return array
     */
    public static function getSkins()
    {

        $skins = parent::getSkins();

        // There is an existing entry for the customer interface, so we just
        // add a new item to that array
        $skins[\XLite::CUSTOMER_INTERFACE] = array_merge(
            $skins[\XLite::CUSTOMER_INTERFACE],
            ['customer' . LC_DS . 'modules' . LC_DS . 'Custom' . LC_DS . 'MyTheme' . LC_DS . 'skin']
        );

        // There is no entry for the admin interface, so we create a new array
        $skins[\XLite::ADMIN_INTERFACE] = [
            'admin' . LC_DS . 'modules' . LC_DS . 'Custom' . LC_DS . 'MyTheme' . LC_DS . 'skin'
        ];

        return $skins;
    }

}